Get a company
curl --request GET \
--url https://api.metal.ai/v1/companies/{id} \
--header 'x-metal-api-key: <api-key>' \
--header 'x-metal-client-id: <api-key>'import requests
url = "https://api.metal.ai/v1/companies/{id}"
headers = {
"x-metal-client-id": "<api-key>",
"x-metal-api-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-metal-client-id': '<api-key>', 'x-metal-api-key': '<api-key>'}
};
fetch('https://api.metal.ai/v1/companies/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.metal.ai/v1/companies/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-metal-client-id", "<api-key>")
req.Header.Add("x-metal-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"id": "665f1c2a9b1e4a0012a3b4c5",
"canonicalName": "Acme Industrials",
"alternativeNames": [
"<string>"
],
"website": "https://acme.example",
"description": "<string>",
"shortDescription": "<string>",
"sector": "Industrials",
"subsector": "<string>",
"industry": "<string>",
"location": {
"city": "<string>",
"state": "<string>",
"country": "<string>"
},
"companyType": "operating",
"externalId": "<string>",
"externalReference": {
"source": "<string>",
"id": "<string>"
},
"tags": [
"<string>"
],
"assignees": [
{
"id": "<string>",
"type": "<string>"
}
],
"custom": {},
"employeeCount": 450,
"ownershipStatus": "private",
"lastValuation": 123,
"lastRoundDate": "2023-12-25",
"lastAmountRaised": 123,
"totalMoneyRaised": 123,
"lastFinancials": {},
"enrichment": {
"subsector": [
{
"value": "Self-Funded Health Insurance / Third Party Administrator (TPA)",
"source": "CIM",
"confidence": 100,
"pinned": true,
"discoveredAt": "2026-02-14T10:00:00Z"
},
{
"value": "Third-Party Administrators (TPAs)",
"source": "Market Report",
"confidence": 57,
"pinned": false,
"discoveredAt": "2026-01-20T10:00:00Z"
}
]
},
"lastEnrichedAt": "2023-11-07T05:31:56Z",
"lastEnrichmentStartedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"error": "invalid api key or clientId"
}{
"error": "not found"
}Get a company
Retrieves a single company by id.
GET
/
v1
/
companies
/
{id}
Get a company
curl --request GET \
--url https://api.metal.ai/v1/companies/{id} \
--header 'x-metal-api-key: <api-key>' \
--header 'x-metal-client-id: <api-key>'import requests
url = "https://api.metal.ai/v1/companies/{id}"
headers = {
"x-metal-client-id": "<api-key>",
"x-metal-api-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-metal-client-id': '<api-key>', 'x-metal-api-key': '<api-key>'}
};
fetch('https://api.metal.ai/v1/companies/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.metal.ai/v1/companies/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-metal-client-id", "<api-key>")
req.Header.Add("x-metal-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"id": "665f1c2a9b1e4a0012a3b4c5",
"canonicalName": "Acme Industrials",
"alternativeNames": [
"<string>"
],
"website": "https://acme.example",
"description": "<string>",
"shortDescription": "<string>",
"sector": "Industrials",
"subsector": "<string>",
"industry": "<string>",
"location": {
"city": "<string>",
"state": "<string>",
"country": "<string>"
},
"companyType": "operating",
"externalId": "<string>",
"externalReference": {
"source": "<string>",
"id": "<string>"
},
"tags": [
"<string>"
],
"assignees": [
{
"id": "<string>",
"type": "<string>"
}
],
"custom": {},
"employeeCount": 450,
"ownershipStatus": "private",
"lastValuation": 123,
"lastRoundDate": "2023-12-25",
"lastAmountRaised": 123,
"totalMoneyRaised": 123,
"lastFinancials": {},
"enrichment": {
"subsector": [
{
"value": "Self-Funded Health Insurance / Third Party Administrator (TPA)",
"source": "CIM",
"confidence": 100,
"pinned": true,
"discoveredAt": "2026-02-14T10:00:00Z"
},
{
"value": "Third-Party Administrators (TPAs)",
"source": "Market Report",
"confidence": 57,
"pinned": false,
"discoveredAt": "2026-01-20T10:00:00Z"
}
]
},
"lastEnrichedAt": "2023-11-07T05:31:56Z",
"lastEnrichmentStartedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"error": "invalid api key or clientId"
}{
"error": "not found"
}Authorizations
The Client ID of your API key.
The secret value of your API key.
Path Parameters
The company id.
Response
A company.
A company record. Many attributes are populated by enrichment: Metal gathers candidate values from your documents, data providers, and the web, then ranks and reconciles them into the single value shown here. See the Enrichment and Reconciliation & ranking guides. The enrichment field exposes the discovered values and citations behind each reconciled attribute.
Show child attributes
Show child attributes
Related topics
MCP tools referenceMetal MCP serverGet companies by idsGet a company by external referenceGet a company by external id⌘I

